#!ruby
# -*- mode: ruby; coding: utf-8 -*-
# Last updated: <2021/08/18 08:51:42 +0900>
#
# Ogg stream play example with vaudiorb

require "dxruby"
require_relative "VAudio"

fnt = Font.new(24)

VAudio.init(Window.hWnd)  # init vAudio
s = VAudio.loadStream("loop_bgm.ogg")  # load ogg
s.setRepeat(true)  # loop enable
s.play

Window.loop do
  break if Input.keyPush?(K_ESCAPE)

  Window.draw_font(8, 8, "ESC to exit", fnt)
end

s.free
VAudio.free
